## gnash 0.8.10~git20111001

=== debian/changelog ===
gnash (0.8.10~git20111001-1ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - Use mozilla-flashplugin as the alternative for now
    - Set alternative priority to 50 so that it matches Adobe Flash's priority
    - Change xulrunner-dev build dep to firefox-dev
  * debian/patches/fix_plugin_api.patch:
    - Update gnash to work with Firefox 8+ API (LP: #897527)

 -- Michael Terry <mterry@ubuntu.com>  Wed, 30 Nov 2011 13:09:15 -0500

gnash (0.8.10~git20111001-1) unstable; urgency=low

  * Git snapshot.
    + Build against libav (Closes: #638247, #643614).
  * Wrap-and-sorted (Closes: #632753).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sat, 01 Oct 2011 21:23:24 +0200

gnash (0.8.10~git20110618-3ubuntu2) precise; urgency=low

  * Rebuild for libmysqlclient transition

 -- Clint Byrum <clint@ubuntu.com>  Wed, 23 Nov 2011 23:33:59 -0800
