=== debian/control ===
Source: gnash
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Flash Team <pkg-flash-devel@lists.alioth.debian.org>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>,
           Alexander Sack <asac@jwsdot.com>,
           Gabriele Giacone <1o5g4r8o@gmail.com>,
           Tim Retout <diocles@debian.org>
Build-Depends: autoconf,
               automake,
               autotools-dev,
               debhelper (>= 7.0.50~7),
               dejagnu,
               dh-buildinfo,
               docbook,
               docbook-xsl,
               docbook2x,
               doxygen,
               dpkg-dev (>= 1.13.19),
               hardening-wrapper,
               intltool,
               kdelibs5-dev,
               libagg-dev,
               libatk1.0-dev,
               libavcodec-dev,
               libavformat-dev,
               libboost-date-time-dev,
               libboost-dev,
               libboost-program-options-dev,
               libboost-thread-dev,
               libcurl4-gnutls-dev | libcurl3-gnutls-dev | libcurl4-openssl-dev | libcurl3-openssl-dev,
               libgif-dev,
               libgstreamer-plugins-base0.10-dev | gstreamer-plugins-base-dev,
               libgstreamer0.10-dev | gstreamer0.10-dev,
               libgtk2.0-dev,
               libjpeg-dev,
               libltdl-dev,
               libmysqlclient-dev,
               libpango1.0-dev | pango-dev,
               libpng12-dev | libpng-dev,
               libqt4-dev,
               libsdl1.2-dev,
               libspeex-dev,
               libspeexdsp-dev,
               libswscale-dev,
               libtool,
               libxmu-dev,
               libxv-dev,
               python-all-dev,
               python-gtk2-dev,
               python-support,
               qt4-qmake,
               sng,
               xsltproc,
               firefox-dev
Standards-Version: 3.9.2
Section: video
Homepage: http://www.gnu.org/software/gnash/
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/pkg-flash/gnash.git
Vcs-Browser: http://git.debian.org/?p=pkg-flash/gnash.git;a=summary

Package: gnash-common
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gstreamer-plugins-base | libgstreamer-plugins-base0.10-0,
            gstreamer0.10-ffmpeg,
            gstreamer0.10-fluendo-mp3,
            gstreamer0.10-plugins-bad
Breaks: gnash-common-opengl (<< 0.8.8~)
Provides: libgnash0, libklash0
Replaces: libgnash0, libklash0
Conflicts: libgnash0, libklash0
Description: GNU Shockwave Flash (SWF) player - Common files/libraries
 GNU Gnash is a free GPL'd SWF player. It runs as a standalone application
 on either the desktop or embedded devices, or may be used as a plugin
 for several popular browsers. It supports playing media from a disk or
 streaming over a network connection.
 .
 GNU Gnash is based on GameSWF and supports most SWF v7 features and some
 SWF v8 and v9. SWF v10 is not supported by GNU Gnash.
 .
 Included in the Gnash is an XML based messaging system, as specified in
 the SWF specification. This lets a SWF animation communicate over a TCP/IP
 socket, and parse the incoming XML message. This lets an animation be a remote
 control for other devices or applications.

Package: gnash
Architecture: any
Depends: gnash-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: gnash-opengl (<< 0.8.8~)
Description: GNU Shockwave Flash (SWF) player
 GNU Gnash is a free GPL'd SWF player. It runs as a standalone application
 on either the desktop or embedded devices, or may be used as a plugin
 for several popular browsers. It supports playing media from a disk or
 streaming over a network connection.
 .
 GNU Gnash is based on GameSWF and supports most SWF v7 features and some
 SWF v8 and v9. SWF v10 is not supported by GNU Gnash.
 .
 Included in the Gnash is an XML based messaging system, as specified in
 the SWF specification. This lets a SWF animation communicate over a TCP/IP
 socket, and parse the incoming XML message. This lets an animation be a remote
 control for other devices or applications.
 .
 This package includes the standalone GTK+-based player that use AGG
 as the rendering backend.

Package: klash
Architecture: any
Depends: gnash-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: klash-opengl (<< 0.8.8~)
Description: GNU Shockwave Flash (SWF) player - Standalone player for KDE
 GNU Gnash is a free GPL'd SWF player. It runs as a standalone application
 on either the desktop or embedded devices, or may be used as a plugin
 for several popular browsers. It supports playing media from a disk or
 streaming over a network connection.
 .
 GNU Gnash is based on GameSWF and supports most SWF v7 features and some
 SWF v8 and v9. SWF v10 is not supported by GNU Gnash.
 .
 Included in the Gnash is an XML based messaging system, as specified in
 the SWF specification. This lets a SWF animation communicate over a TCP/IP
 socket, and parse the incoming XML message. This lets an animation be a remote
 control for other devices or applications.
 .
 Klash is a free standalone SWF movie player for KDE that use AGG
 as the rendering backend.

Package: gnash-tools
Architecture: any
Depends: gnash-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: GNU Shockwave Flash (SWF) player - Command-line Tools
 GNU Gnash is a free GPL'd SWF player. It runs as a standalone application
 on either the desktop or embedded devices, or may be used as a plugin
 for several popular browsers. It supports playing media from a disk or
 streaming over a network connection.
 .
 GNU Gnash is based on GameSWF and supports most SWF v7 features and some
 SWF v8 and v9. SWF v10 is not supported by GNU Gnash.
 .
 Included in the Gnash is an XML based messaging system, as specified in
 the SWF specification. This lets a SWF animation communicate over a TCP/IP
 socket, and parse the incoming XML message. This lets an animation be a remote
 control for other devices or applications.
 .
 This package includes command-line utilities based in Gnash.

Package: gnash-cygnal
Architecture: any
Depends: gnash-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: GNU Shockwave Flash (SWF) player - Media server
 GNU Gnash is a free GPL'd SWF player. It runs as a standalone application
 on either the desktop or embedded devices, or may be used as a plugin
 for several popular browsers. It supports playing media from a disk or
 streaming over a network connection.
 .
 GNU Gnash is based on GameSWF and supports most SWF v7 features and some
 SWF v8 and v9. SWF v10 is not supported by GNU Gnash.
 .
 Included in the Gnash is an XML based messaging system, as specified in
 the SWF specification. This lets a SWF animation communicate over a TCP/IP
 socket, and parse the incoming XML message. This lets an animation be a remote
 control for other devices or applications.
 .
 Cygnal is Gnash's media server.

Package: browser-plugin-gnash
Architecture: any
Depends: gnash (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Breaks: mozilla-plugin-gnash (<< 0.8.8-4)
Replaces: mozilla-plugin-gnash (<< 0.8.8-4)
Provides: mozilla-plugin-gnash
Xb-Npp-Applications: ec8030f7-c20a-464f-9b0e-13a3a9e97384,92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a,aa5ca914-c309-495d-91cf-3141bbb04115
Xb-Npp-MimeType: application/x-shockwave-flash
Xb-Npp-Name: Gnash SWF Player
Description: GNU Shockwave Flash (SWF) player - Plugin for Mozilla and derivatives
 GNU Gnash is a free GPL'd SWF player. It runs as a standalone application
 on either the desktop or embedded devices, or may be used as a plugin
 for several popular browsers. It supports playing media from a disk or
 streaming over a network connection.
 .
 GNU Gnash is based on GameSWF and supports most SWF v7 features and some
 SWF v8 and v9. SWF v10 is not supported by GNU Gnash.
 .
 Included in the Gnash is an XML based messaging system, as specified in
 the SWF specification. This lets a SWF animation communicate over a TCP/IP
 socket, and parse the incoming XML message. This lets an animation be a remote
 control for other devices or applications.
 .
 This package includes the plugin for Firefox/Mozilla Web Browser. The plugin
 works best with Firefox 1.0.4 or newer, and should work in any Mozilla based
 browser.

Package: konqueror-plugin-gnash
Architecture: any
Depends: klash (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: GNU Shockwave Flash (SWF) player - Plugin for Konqueror
 GNU Gnash is a free GPL'd SWF player. It runs as a standalone application
 on either the desktop or embedded devices, or may be used as a plugin
 for several popular browsers. It supports playing media from a disk or
 streaming over a network connection.
 .
 GNU Gnash is based on GameSWF and supports most SWF v7 features and some
 SWF v8 and v9. SWF v10 is not supported by GNU Gnash.
 .
 Included in the Gnash is an XML based messaging system, as specified in
 the SWF specification. This lets a SWF animation communicate over a TCP/IP
 socket, and parse the incoming XML message. This lets an animation be a remote
 control for other devices or applications.
 .
 This package includes the plugin for Konqueror.

Package: python-gtk-gnash
Section: python
Architecture: any
Depends: python-gtk2, ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Provides: ${python:Provides}
Description: GNU Shockwave Flash (SWF) player - Python bindings
 GNU Gnash is a free GPL'd SWF player. It runs as a standalone application
 on either the desktop or embedded devices, or may be used as a plugin
 for several popular browsers. It supports playing media from a disk or
 streaming over a network connection.
 .
 GNU Gnash is based on GameSWF and supports most SWF v7 features and some
 SWF v8 and v9. SWF v10 is not supported by GNU Gnash.
 .
 Included in the Gnash is an XML based messaging system, as specified in
 the SWF specification. This lets a SWF animation communicate over a TCP/IP
 socket, and parse the incoming XML message. This lets an animation be a remote
 control for other devices or applications.
 .
 This package includes the Python bindings for gnash.

Package: gnash-ext-fileio
Architecture: any
Depends: gnash-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: GNU Shockwave Flash (SWF) player - Fileio extension
 GNU Gnash is a free GPL'd SWF player. It runs as a standalone application
 on either the desktop or embedded devices, or may be used as a plugin
 for several popular browsers. It supports playing media from a disk or
 streaming over a network connection.
 .
 GNU Gnash is based on GameSWF and supports most SWF v7 features and some
 SWF v8 and v9. SWF v10 is not supported by GNU Gnash.
 .
 Included in the Gnash is an XML based messaging system, as specified in
 the SWF specification. This lets a SWF animation communicate over a TCP/IP
 socket, and parse the incoming XML message. This lets an animation be a remote
 control for other devices or applications.
 .
 This extension allows SWF files being played within Gnash to have direct access
 to the file system. The API is similar to the C library one.

Package: gnash-ext-mysql
Architecture: any
Depends: gnash-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: GNU Shockwave Flash (SWF) player - MySQL extension
 GNU Gnash is a free GPL'd SWF player. It runs as a standalone application
 on either the desktop or embedded devices, or may be used as a plugin
 for several popular browsers. It supports playing media from a disk or
 streaming over a network connection.
 .
 GNU Gnash is based on GameSWF and supports most SWF v7 features and some
 SWF v8 and v9. SWF v10 is not supported by GNU Gnash.
 .
 Included in the Gnash is an XML based messaging system, as specified in
 the SWF specification. This lets a SWF animation communicate over a TCP/IP
