## gnash 0.8.10

=== debian/changelog ===
gnash (0.8.10-5~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Thu, 15 Mar 2012 17:06:35 +0000

gnash (0.8.10-5) unstable; urgency=low

  * Fix CVE-2012-1175 (Closes: #664023).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Thu, 15 Mar 2012 03:04:37 +0100

gnash (0.8.10-4) unstable; urgency=low

  * B-D on libpng-dev for libpng15 transition (Closes: #662353).
  * Bump Standards-Version to 3.9.3 (no changes).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Mon, 05 Mar 2012 13:11:02 +0000

gnash (0.8.10-3~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Tue, 21 Feb 2012 13:41:24 +0100

gnash (0.8.10-3) unstable; urgency=low

  * Fix CXX optimization (Closes: #659495).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sat, 11 Feb 2012 16:48:45 +0100

gnash (0.8.10-2) unstable; urgency=low

  * Fix cygnal upgrade (Closes: #659095).
  * Suggest browser-plugin-lightspark, mention in d/README.Debian (Closes:
    #652092).
  * Update d/README.Debian.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Thu, 09 Feb 2012 02:26:34 +0100

gnash (0.8.10-1) unstable; urgency=low

  * New upstream release.
    + Fix CVE-2011-4328 (Closes: #649384).
    + Fix parsing of lossless 15bit bitmaps (Closes: #634867).
  * Add Gnome 3 thumbnailer.
  * Add libboost-iostreams-dev and libgconf2-dev build deps.
  * Transition to dh_python2.
  * Fix d/copyright according to DEP-5.
  * Remove dash escaping in manpages (Closes: #640107).
  * Add noapidoc and nocheck build options.
  * Move cygnal-only libs to cygnal package.
  * Add revno.h generation to get-source target.
  * Replace upstream changelog with upstream NEWS.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Wed, 08 Feb 2012 03:48:11 +0100

gnash (0.8.10~git20111001-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS (npapi/plugin.cpp)": add patch fix-const.patch from peter green
    (adds const quailifiers to function signatures).
    Also clean up properly in debian/rules.
    (Closes: #651625)

 -- gregor herrmann <gregoa@debian.org>  Wed, 11 Jan 2012 18:19:34 +0100

gnash (0.8.10~git20110618-3~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Thu, 04 Aug 2011 00:06:41 +0200
