=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: gnash
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Flash Team <pkg-flash-devel@lists.alioth.debian.org>
+Maintainer: Debian Flash Team <pkg-flash-devel@lists.alioth.debian.org>
 Uploaders: Miriam Ruiz <little_miry@yahoo.es>,
            Alexander Sack <asac@jwsdot.com>,
            Gabriele Giacone <1o5g4r8o@gmail.com>,
@@ -26,9 +25,11 @@
                libavformat-dev,
                libboost-date-time-dev,
                libboost-dev,
+               libboost-iostreams-dev,
                libboost-program-options-dev,
                libboost-thread-dev,
                libcurl4-gnutls-dev | libcurl3-gnutls-dev | libcurl4-openssl-dev | libcurl3-openssl-dev,
+               libgconf2-dev,
                libgif-dev,
                libgstreamer-plugins-base0.10-dev | gstreamer-plugins-base-dev,
                libgstreamer0.10-dev | gstreamer0.10-dev,
@@ -37,7 +38,7 @@
                libltdl-dev,
                libmysqlclient-dev,
                libpango1.0-dev | pango-dev,
-               libpng12-dev | libpng-dev,
+               libpng-dev,
                libqt4-dev,
                libsdl1.2-dev,
                libspeex-dev,
@@ -46,14 +47,14 @@
                libtool,
                libxmu-dev,
                libxv-dev,
-               python-all-dev,
+               python-all-dev (>= 2.6.6-3~),
                python-gtk2-dev,
-               python-support,
                qt4-qmake,
                sng,
                xsltproc,
-               firefox-dev
-Standards-Version: 3.9.2
+               xulrunner-dev
+XS-Python-Version: current
+Standards-Version: 3.9.3
 Section: video
 Homepage: http://www.gnu.org/software/gnash/
 DM-Upload-Allowed: yes
@@ -149,6 +150,8 @@
 Package: gnash-cygnal
 Architecture: any
 Depends: gnash-common (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Replaces: gnash-common (<< 0.8.10-1)
+Breaks: gnash-common (<< 0.8.10-1)
 Description: GNU Shockwave Flash (SWF) player - Media server
  GNU Gnash is a free GPL'd SWF player. It runs as a standalone application
  on either the desktop or embedded devices, or may be used as a plugin
@@ -171,6 +174,7 @@
 Breaks: mozilla-plugin-gnash (<< 0.8.8-4)
 Replaces: mozilla-plugin-gnash (<< 0.8.8-4)
 Provides: mozilla-plugin-gnash
+Suggests: browser-plugin-lightspark
 Xb-Npp-Applications: ec8030f7-c20a-464f-9b0e-13a3a9e97384,92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a,aa5ca914-c309-495d-91cf-3141bbb04115
 Xb-Npp-MimeType: application/x-shockwave-flash
 Xb-Npp-Name: Gnash SWF Player
@@ -265,4 +269,3 @@
  SWF v8 and v9. SWF v10 is not supported by GNU Gnash.
  .
  Included in the Gnash is an XML based messaging system, as specified in
- the SWF specification. This lets a SWF animation communicate over a TCP/IP
