## gnash 0.8.11~git20120629

=== debian/changelog ===
gnash (0.8.11~git20120629-1+deb7u1) stable; urgency=low

  * Fix youtube movies play with ffmpeg media handler (Closes: #729995).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Wed, 22 Jan 2014 23:35:19 +0100

gnash (0.8.11~git20120629-1) unstable; urgency=low

  * Git snapshot.
    + IPv6 support.
    + Fix FTBFS with gcc 4.7 and clang.
    + Fix opening of external URL with gnash standalone.
  * Remove gstreamer0.10-fluendo-mp3 from runtime deps (Closes: #679527).
  * Use sensible-browser instead of xdg-open (Closes: #597195).
  * Set NoDiplay=true in desktop icons (Closes: #679573). 
  * Switch source and binary to xz compression.
  * Remove gcc4.7 and CVE-2012-1175 patches.
  * Add hardening lintian overrides.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sat, 30 Jun 2012 02:35:32 +0200

gnash (0.8.10-6) unstable; urgency=low

  * Fix FTBFS with gcc4.7 (Closes: #672621).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Mon, 14 May 2012 01:46:12 +0200
