=== debian/control ===
--- 
+++ 
@@ -66,7 +66,6 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: gstreamer-plugins-base | libgstreamer-plugins-base0.10-0,
             gstreamer0.10-ffmpeg,
-            gstreamer0.10-fluendo-mp3,
             gstreamer0.10-plugins-bad
 Breaks: gnash-common-opengl (<< 0.8.8~)
 Provides: libgnash0, libklash0
