=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,8 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-MAIN_VERSION = $(shell head -n 1 debian/changelog | cut '-d ' -f 2 | sed 's/[()]//g')
-BUILD_VERSION = $(shell head -n 1 debian/changelog | cut '-d ' -f 2 | sed 's/^[()]//' | sed 's/-.*//' | sed 's/~.*//' | sed 's/+.*//')
+MAIN_VERSION = $(shell dpkg-parsechangelog|sed -n '/^Version/{s/Version: \(.*\)/\1/p}')
+BUILD_VERSION = $(shell echo $(MAIN_VERSION)|sed -n 's/\([0-9.]*\)[-+~].*/\1/p')
 
 INFILES   := $(wildcard debian/*.desktop.in)
 OUTFILES  := $(INFILES:.desktop.in=.desktop)
@@ -17,15 +17,18 @@
 	intltool-merge -d debian/po $< $@
 
 %:
-	dh --builddirectory=$(OBJDIR) $@
+	dh --builddirectory=$(OBJDIR) --with python2 $@
 
 CFLAGS = -Wall -g -Werror-implicit-function-declaration
 LDFLAGS = -Wl,--no-add-needed
+CXXFLAGS = -Wall -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
+	CXXFLAGS += -O0
 else
 	CFLAGS += -O2
+	CXXFLAGS += -O2
 endif
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -49,7 +52,7 @@
 		--enable-python \
 		--enable-jemalloc \
 		--enable-media=gst,ffmpeg \
-		--enable-gui=gtk,qt4 \
+		--enable-gui=gtk,qt4,dump \
 		--enable-renderer=agg,cairo \
 		--enable-docbook \
 		--enable-extensions=fileio,lirc,mysql \
@@ -60,38 +63,38 @@
 override_dh_auto_configure:
 	./autogen.sh
 	mkdir -p $(OBJDIR)
-	cd $(OBJDIR) && ../configure VERSION="$(BUILD_VERSION)" $(CONFIGURE_FLAGS)
+	cd $(OBJDIR) && ../configure $(CONFIGURE_FLAGS)
+	-cp revno.h $(OBJDIR)
 
 override_dh_auto_build: $(OUTFILES)
 	$(MAKE) -C $(OBJDIR) VERSION="$(BUILD_VERSION)"
+ifeq (,$(filter noapidoc,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) -C $(OBJDIR) apidoc
+else
+	mkdir -p $(OBJDIR)/doc/apidoc
+endif
 	cd debian && for i in *.sng; do sng "$$i"; done
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	$(MAKE) -C $(OBJDIR) check
 	$(MAKE) -C $(OBJDIR) anal
+endif
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
 
 override_dh_auto_install:
-	$(MAKE) -C $(OBJDIR) install VERSION="$(BUILD_VERSION)" DESTDIR=$(CURDIR)/debian/tmp
-	$(MAKE) -C $(OBJDIR) install-plugins VERSION="$(BUILD_VERSION)" DESTDIR=$(CURDIR)/debian/tmp
-	dh_installchangelogs NEWS
+	$(MAKE) -C $(OBJDIR) install DESTDIR=$(CURDIR)/debian/tmp
+	$(MAKE) -C $(OBJDIR) install-plugins DESTDIR=$(CURDIR)/debian/tmp
 
 	# dh_buildinfo output only in gnash-common
 	dh_buildinfo -pgnash-common
 
-	# lintian: hyphen-used-as-minus-sign
-	for manfile in $(MANPTOFIX); do \
-		sed -i -e '2,$$s/^\-\([^\-]\)/\\\-\1/g' \
-		-e '2,$$s/\-\-/\\\-\\\-/g' \
-		-e '2,$$s/\([\ [:punct:]]\)\-\([[:alnum:]][[:punct:]]\)/\1\\\-\2/g' \
-		$$manfile; \
-	done
+	dh_lintian
 
-	cd $(CURDIR)/debian/overrides/ && for i in *; do \
-		echo "Installing Lintian override file for \"$$i\"" ; \
-		mkdir -p $(CURDIR)/debian/$$i/usr/share/lintian/overrides/ ; \
-		cp $$i $(CURDIR)/debian/$$i/usr/share/lintian/overrides/ ; \
-	done
+	sed -i -e '/^Icon/s/klash/gnash/' -e '$$aNoDisplay=true' \
+		debian/tmp/usr/share/applications/*.desktop
 
 	printf "\n == LIST OF FILES =============================================== \n\n"
 	cd $(CURDIR)/debian/tmp && find
@@ -99,9 +102,6 @@
 
 override_dh_strip:
 	dh_strip --dbg-package=gnash-dbg
-	# lintian: python-debug-in-wrong-location
-	mv debian/gnash-dbg/usr/lib/debug/usr/lib/pyshared \
-		debian/gnash-dbg/usr/lib/debug/usr/lib/pymodules
 
 override_dh_gencontrol:
 	dh_gencontrol -Nswfdec-gnome
@@ -130,5 +130,11 @@
 get-git-source:
 	@echo Git cloning gnash $(VER)...
 	git clone git://git.savannah.gnu.org/gnash.git $(TMPDIR)
-	cd $(TMPDIR) && tar --exclude .git -zcf ../../gnash_$(VER).orig.tar.gz .
+	@echo Generating revno.h...
+	@cd $(TMPDIR); \
+	echo "#define BRANCH_REVNO \"`git rev-list HEAD|wc -l`\"" > revno.h; \
+	echo "#define BRANCH_NICK \"`git branch|grep '^\*'|cut -d' ' -f 2`\"" >> revno.h; \
+	echo "#define COMMIT_ID \"`git rev-parse --short HEAD`\"" >> revno.h
+	@echo Generating tarball...
+	cd $(TMPDIR) && tar --exclude .git -Jcf ../../gnash_$(VER).orig.tar.xz .
 	rm -rf $(TMPDIR) && dch -v $(VER)-1 "Git snapshot."
