## gnash 0.8.11~git20130903

=== debian/changelog ===
gnash (0.8.11~git20130903-3ubuntu1) trusty; urgency=low

  * Resynchronize with Debian.  Remaining changes:
    - Use mozilla-flashplugin as the alternative for now
    - Change xulrunner-dev build dep to firefox-dev
    - link boost libraries.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 12 Nov 2013 00:12:31 +0000

gnash (0.8.11~git20130903-3) unstable; urgency=low

  * Fix memory leak introduced by recent audio resampling changes in ffmpeg
    media handler (Closes: #575089).
  * Enable jemalloc on kfreebsd-*.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Tue, 10 Sep 2013 00:23:04 +0200

gnash (0.8.11~git20130903-2) unstable; urgency=low

  * B-D on libjemalloc-dev on linux-any only.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Tue, 03 Sep 2013 23:36:35 +0200

gnash (0.8.11~git20130903-1) unstable; urgency=low

  * Git snapshot.
    + Embedded jemalloc copy has been replaced by system one.
      - Add libjemalloc-dev to B-D.
      - Disable jemalloc on hurd and kfreebsd-*. No longer disabled upstream.
    + ffmpeg/libav internal resampler replaced with external resampling library.
      - Add libavresample-dev to B-D.
  * Add gnash-cygnal to gnash-dev runtime deps (Closes: #715067)
  * Switch to dh compatibility 9.
    + Remove hardening-wrapper from B-D.
  * Make Vcs-* fields canonical.
  * Bump Standards-Version to 3.9.4 (no changes).
  * Remove DMUA flag.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Tue, 03 Sep 2013 18:24:18 +0200

gnash (0.8.11~git20120629-1ubuntu4) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Tue, 22 Oct 2013 18:08:37 +0100

gnash (0.8.11~git20120629-1ubuntu3) saucy; urgency=low

  * Link against libboost_system.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 26 Aug 2013 22:21:05 +0100

gnash (0.8.11~git20120629-1ubuntu2) raring; urgency=low

  * d/p/python-config: use python-config --includes, not python-config
    --include, which no longer works. Fixes FTBFS.

 -- Robie Basak <robie.basak@canonical.com>  Thu, 04 Apr 2013 11:21:13 +0000

gnash (0.8.11~git20120629-1ubuntu1) quantal; urgency=low

  * Resynchronize with Debian.  Remaining changes:
    - Use mozilla-flashplugin as the alternative for now
    - Change xulrunner-dev build dep to firefox-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 15 Jul 2012 23:48:49 -0400
