=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: gnash
 Priority: optional
-Maintainer: Debian Flash Team <pkg-flash-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Flash Team <pkg-flash-devel@lists.alioth.debian.org>
 Uploaders: Miriam Ruiz <little_miry@yahoo.es>,
            Alexander Sack <asac@jwsdot.com>,
            Gabriele Giacone <1o5g4r8o@gmail.com>,
@@ -8,7 +9,7 @@
 Build-Depends: autoconf,
                automake,
                autotools-dev,
-               debhelper (>= 7.0.50~7),
+               debhelper (>= 9),
                dejagnu,
                dh-buildinfo,
                docbook,
@@ -16,17 +17,18 @@
                docbook2x,
                doxygen,
                dpkg-dev (>= 1.13.19),
-               hardening-wrapper,
                intltool,
                kdelibs5-dev,
                libagg-dev,
                libatk1.0-dev,
                libavcodec-dev,
                libavformat-dev,
+               libavresample-dev,
                libboost-date-time-dev,
                libboost-dev,
                libboost-iostreams-dev,
                libboost-program-options-dev,
+	       libboost-system-dev,
                libboost-thread-dev,
                libcurl4-gnutls-dev | libcurl3-gnutls-dev | libcurl4-openssl-dev | libcurl3-openssl-dev,
                libgconf2-dev,
@@ -35,6 +37,7 @@
                libgstreamer0.10-dev | gstreamer0.10-dev,
                libgtk2.0-dev,
                libjpeg-dev,
+               libjemalloc-dev [!hurd-i386],
                libltdl-dev,
                libmysqlclient-dev,
                libpango1.0-dev | pango-dev,
@@ -52,14 +55,13 @@
                qt4-qmake,
                sng,
                xsltproc,
-               xulrunner-dev
+               firefox-dev
 XS-Python-Version: current
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Section: video
 Homepage: http://www.gnu.org/software/gnash/
-DM-Upload-Allowed: yes
-Vcs-Git: git://git.debian.org/pkg-flash/gnash.git
-Vcs-Browser: http://git.debian.org/?p=pkg-flash/gnash.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-flash/gnash.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-flash/gnash.git
 
 Package: gnash-common
 Architecture: any
@@ -265,6 +267,3 @@
  streaming over a network connection.
  .
  GNU Gnash is based on GameSWF and supports most SWF v7 features and some
- SWF v8 and v9. SWF v10 is not supported by GNU Gnash.
- .
- Included in the Gnash is an XML based messaging system, as specified in
