=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,14 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
-export DEB_BUILD_HARDENING=1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+export DEB_CFLAGS_MAINT_APPEND  = -Wall -Werror-implicit-function-declaration
+export DEB_CXXFLAGS_MAINT_APPEND  = -Wall
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-add-needed
 
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 MAIN_VERSION = $(shell dpkg-parsechangelog|sed -n '/^Version/{s/Version: \(.*\)/\1/p}')
 BUILD_VERSION = $(shell echo $(MAIN_VERSION)|sed -n 's/\([0-9.]*\)[-+~].*/\1/p')
@@ -17,28 +22,13 @@
 	intltool-merge -d debian/po $< $@
 
 %:
-	dh --builddirectory=$(OBJDIR) --with python2 $@
+	dh $@ --builddirectory=$(OBJDIR) --with python2
 
-CFLAGS = -Wall -g -Werror-implicit-function-declaration
-LDFLAGS = -Wl,--no-add-needed
-CXXFLAGS = -Wall -g
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-	CXXFLAGS += -O0
-else
-	CFLAGS += -O2
-	CXXFLAGS += -O2
-endif
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-	MAKEFLAGS += -j$(NUMJOBS)
+       export MAKEFLAGS = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 endif
 
 CONFIGURE_FLAGS = \
-		CFLAGS="$(CFLAGS)" \
-		CXXFLAGS="$(CXXFLAGS)" \
-		LDFLAGS="$(LDFLAGS)" \
 		--host=$(DEB_HOST_GNU_TYPE) \
 		--build=$(DEB_BUILD_GNU_TYPE) \
 		--prefix=/usr \
@@ -50,7 +40,6 @@
 		--disable-rpath \
 		--enable-cygnal \
 		--enable-python \
-		--enable-jemalloc \
 		--enable-media=gst,ffmpeg \
 		--enable-gui=gtk,qt4,dump \
 		--enable-renderer=agg,cairo \
@@ -60,9 +49,17 @@
 		--with-plugins-install=system \
 		--enable-shared=yes
 
+ifneq (,$(filter hurd-%,$(DEB_BUILD_ARCH)))
+	CONFIGURE_FLAGS += --disable-jemalloc
+endif
+
 override_dh_auto_configure:
 	./autogen.sh
 	mkdir -p $(OBJDIR)
+	@echo CFLAGS=$(CFLAGS)
+	@echo CPPFLAGS=$(CPPFLAGS)
+	@echo CXXFLAGS=$(CXXFLAGS)
+	@echo LDFLAGS=$(LDFLAGS)
 	cd $(OBJDIR) && ../configure $(CONFIGURE_FLAGS)
 	-cp revno.h $(OBJDIR)
 
@@ -113,7 +110,7 @@
 
 override_dh_auto_clean:
 	rm -f config.guess config.sub configure ltmain.sh gnashconfig.h.in
-	rm -f debian/gnash.png $(OUTFILES)
+	rm -f debian/gnash.png $(OUTFILES) compile
 	rm -rf autom4te.cache libltdl $(OBJDIR) 
 	rm -f aclocal.m4 macros/argz.m4 macros/libtool.m4 macros/lt*.m4
 	find . -name Makefile.in -delete
@@ -129,7 +126,7 @@
 TMPDIR = gnash-$(VER)
 get-git-source:
 	@echo Git cloning gnash $(VER)...
-	git clone git://git.savannah.gnu.org/gnash.git $(TMPDIR)
+	git clone --depth 1 git://git.savannah.gnu.org/gnash.git $(TMPDIR)
 	@echo Generating revno.h...
 	@cd $(TMPDIR); \
 	echo "#define BRANCH_REVNO \"`git rev-list HEAD|wc -l`\"" > revno.h; \
