## gnash 0.8.11~git20140419

=== debian/changelog ===
gnash (0.8.11~git20140419-1ubuntu2) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Sep 2014 20:59:03 +0100

gnash (0.8.11~git20140419-1ubuntu1) utopic; urgency=medium

  * Sync from Debian, with a following modification:
  * Build-depend on firefox-dev, instead of xulrunner-dev.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 20 Jun 2014 11:25:58 +0100

gnash (0.8.11~git20140419-1) unstable; urgency=medium

  * New upstream snapshot.
  * Enable testsuite.
    + Do not remove sourceless SWF files from upstream tarball anymore,
      override lintian tag.
    + Add csound, haxe, libming-dev, libming-util, mtasc, swfmill,
      swftools as B-D.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sat, 19 Apr 2014 10:02:46 +0200

gnash (0.8.11~git20140319+dfsg-1) unstable; urgency=medium

  * New upstream snapshot.
    + Support libav10 (Closes: #739303).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Wed, 19 Mar 2014 12:53:19 +0100

gnash (0.8.11~git20140121+dfsg-1) unstable; urgency=medium

  * Git snapshot.
    + Remove cookie files when child dies (Closes: #679116).
  * Remove sourceless SWF files from upstream tarball (Closes: #736190).
  * Bump Standards-Version to 3.9.5 (no changes).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Tue, 21 Jan 2014 19:57:42 +0100
