=== debian/control ===
--- 
+++ 
@@ -28,7 +28,6 @@
                libboost-dev,
                libboost-iostreams-dev,
                libboost-program-options-dev,
-	       libboost-system-dev,
                libboost-thread-dev,
                libcurl4-gnutls-dev | libcurl3-gnutls-dev | libcurl4-openssl-dev | libcurl3-openssl-dev,
                libgconf2-dev,
@@ -55,9 +54,10 @@
                qt4-qmake,
                sng,
                xsltproc,
-               firefox-dev
+               firefox-dev,
+               csound [linux-any], haxe, libming-dev, libming-util, mtasc, swfmill, swftools
 XS-Python-Version: current
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Section: video
 Homepage: http://www.gnu.org/software/gnash/
 Vcs-Git: git://anonscm.debian.org/pkg-flash/gnash.git
@@ -266,4 +266,3 @@
  for several popular browsers. It supports playing media from a disk or
  streaming over a network connection.
  .
- GNU Gnash is based on GameSWF and supports most SWF v7 features and some
