=== debian/rules ===
--- 
+++ 
@@ -33,9 +33,8 @@
 		--build=$(DEB_BUILD_GNU_TYPE) \
 		--prefix=/usr \
 		--sysconfdir=/etc \
-		--disable-testsuite \
+		--enable-testsuite \
 		--without-swfdec-testsuite \
-		--without-ming \
 		--disable-dependency-tracking \
 		--disable-rpath \
 		--enable-cygnal \
@@ -74,8 +73,8 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	$(MAKE) -C $(OBJDIR) check
-	$(MAKE) -C $(OBJDIR) anal
+	-$(MAKE) -C $(OBJDIR) check
+	-$(MAKE) -C $(OBJDIR) anal
 endif
 
 override_dh_installchangelogs:
@@ -124,7 +123,7 @@
 
 VER = $(BUILD_VERSION)~git$(shell date -u '+%Y%m%d')
 TMPDIR = gnash-$(VER)
-get-git-source:
+get-orig-source:
 	@echo Git cloning gnash $(VER)...
 	git clone --depth 1 git://git.savannah.gnu.org/gnash.git $(TMPDIR)
 	@echo Generating revno.h...
