## gnash 0.8.11~git20140708

=== debian/changelog ===
gnash (0.8.11~git20140708-3) unstable; urgency=medium

  * Fix libgnashsound.so install, FTBFS on hurd.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Thu, 10 Jul 2014 10:26:09 +0200

gnash (0.8.11~git20140708-2) unstable; urgency=medium

  * Install libgnashsound.so on !hurd-any.
  * Borrow #733890 patch to try to fix build on powerpc* and mips*.
  * docs: install missing rtmp.png image.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Wed, 09 Jul 2014 01:27:44 +0200

gnash (0.8.11~git20140708-1) unstable; urgency=medium

  * New upstream snapshot.
    + Remove libboost-thread-dev B-D, switched to std::thread.
  * Add --enable-sound=none configure option on hurd.
  * Make testsuite failures more verbose.
  * Switch from xulrunner-dev to npapi-sdk-dev B-D (Closes: #752836).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Tue, 08 Jul 2014 20:32:19 +0200
