=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: gnash
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Flash Team <pkg-flash-devel@lists.alioth.debian.org>
+Maintainer: Debian Flash Team <pkg-flash-devel@lists.alioth.debian.org>
 Uploaders: Miriam Ruiz <little_miry@yahoo.es>,
            Alexander Sack <asac@jwsdot.com>,
            Gabriele Giacone <1o5g4r8o@gmail.com>,
@@ -28,7 +27,6 @@
                libboost-dev,
                libboost-iostreams-dev,
                libboost-program-options-dev,
-               libboost-thread-dev,
                libcurl4-gnutls-dev | libcurl3-gnutls-dev | libcurl4-openssl-dev | libcurl3-openssl-dev,
                libgconf2-dev,
                libgif-dev,
@@ -49,12 +47,12 @@
                libtool,
                libxmu-dev,
                libxv-dev,
+               npapi-sdk-dev,
                python-all-dev (>= 2.6.6-3~),
                python-gtk2-dev,
                qt4-qmake,
                sng,
                xsltproc,
-               firefox-dev,
                csound [linux-any], haxe, libming-dev, libming-util, mtasc, swfmill, swftools
 XS-Python-Version: current
 Standards-Version: 3.9.5
@@ -266,3 +264,6 @@
  for several popular browsers. It supports playing media from a disk or
  streaming over a network connection.
  .
+ GNU Gnash is based on GameSWF and supports most SWF v7 features and some
+ SWF v8 and v9. SWF v10 is not supported by GNU Gnash.
+ .
