## gnash 0.8.11~git20150419

=== debian/changelog ===
gnash (0.8.11~git20150419-1) unstable; urgency=medium

  * New upstream snapshot.
  * Bump Standards-Version to 3.9.6 (no changes).
  * Fix alternative system on ubuntu (LP: #1266088).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 19 Apr 2015 15:14:31 +0200
