=== debian/control ===
--- 
+++ 
@@ -55,7 +55,7 @@
                xsltproc,
                csound [linux-any], haxe, libming-dev, libming-util, mtasc, swfmill, swftools
 XS-Python-Version: current
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: video
 Homepage: http://www.gnu.org/software/gnash/
 Vcs-Git: git://anonscm.debian.org/pkg-flash/gnash.git
