=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,10 @@
 OUTFILES  := $(INFILES:.desktop.in=.desktop)
 MANPTOFIX := $(addprefix debian/tmp/usr/share/man/man1/, $(notdir $(basename $(wildcard doc/C/preformatted/*.1.in))))
 OBJDIR    := $(CURDIR)/tmp.build
+
+ifneq (,$(filter $(DEB_BUILD_ARCH),powerpc powerpcspe mips mipsel))
+export DEB_LDFLAGS_MAINT_APPEND += -latomic
+endif
 
 %.desktop: %.desktop.in
 	intltool-merge -d debian/po $< $@
@@ -49,7 +53,7 @@
 		--enable-shared=yes
 
 ifneq (,$(filter hurd-%,$(DEB_BUILD_ARCH)))
-	CONFIGURE_FLAGS += --disable-jemalloc
+	CONFIGURE_FLAGS += --disable-jemalloc --enable-sound=none
 endif
 
 override_dh_auto_configure:
@@ -74,7 +78,7 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	-$(MAKE) -C $(OBJDIR) check
-	-$(MAKE) -C $(OBJDIR) anal
+	-$(MAKE) -C $(OBJDIR) anal MODE=verbose
 endif
 
 override_dh_installchangelogs:
@@ -95,6 +99,17 @@
 	printf "\n == LIST OF FILES =============================================== \n\n"
 	cd $(CURDIR)/debian/tmp && find
 	printf "\n -------------------------------------- End of LIST OF FILES ---- \n\n"
+
+ifeq (,$(filter hurd-%,$(DEB_BUILD_ARCH)))
+	install -d debian/gnash-common/usr/lib/gnash
+	install debian/tmp/usr/lib/gnash/libgnashsound-*.so debian/gnash-common/usr/lib/gnash
+	install -d debian/gnash-dev/usr/lib/gnash
+	install debian/tmp/usr/lib/gnash/libgnashsound.so debian/gnash-dev/usr/lib/gnash
+endif
+
+	# make info docs load rtmp.png installed under /usr/share/doc/gnash-common
+	sed -i 's/images\/rtmp.png/\/usr\/share\/doc\/gnash-common\/images\/rtmp.png/' \
+		debian/tmp/usr/share/info/gnash_ref.info
 
 override_dh_strip:
 	dh_strip --dbg-package=gnash-dbg
