## gnash 0.8.11~git20160109

=== debian/changelog ===
gnash (0.8.11~git20160109-1build1) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:24:04 +0000

gnash (0.8.11~git20160109-1) unstable; urgency=medium

  * New upstream snapshot.
  * Fix FTBFS with ffmpeg 2.9 (Closes: #803819). Thanks Andreas Cadhalpun.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sat, 09 Jan 2016 14:58:48 +0100

gnash (0.8.11~git20150419-3) unstable; urgency=medium

  * Run dpkg-vendor at build time (Closes: #792464).

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Thu, 16 Jul 2015 02:11:02 +0200

gnash (0.8.11~git20150419-2) unstable; urgency=medium

  * Remove gst0.10 build-deps, it doesn't support gst1.0.  Build only
    ffmpeg/libav media handler.

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Wed, 13 May 2015 12:53:42 +0200
