=== debian/control ===
--- 
+++ 
@@ -30,8 +30,6 @@
                libcurl4-gnutls-dev | libcurl3-gnutls-dev | libcurl4-openssl-dev | libcurl3-openssl-dev,
                libgconf2-dev,
                libgif-dev,
-               libgstreamer-plugins-base0.10-dev | gstreamer-plugins-base-dev,
-               libgstreamer0.10-dev | gstreamer0.10-dev,
                libgtk2.0-dev,
                libjpeg-dev,
                libjemalloc-dev [!hurd-i386],
@@ -64,9 +62,6 @@
 Package: gnash-common
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: gstreamer-plugins-base | libgstreamer-plugins-base0.10-0,
-            gstreamer0.10-ffmpeg,
-            gstreamer0.10-plugins-bad
 Breaks: gnash-common-opengl (<< 0.8.8~)
 Provides: libgnash0, libklash0
 Replaces: libgnash0, libklash0
@@ -267,3 +262,8 @@
  GNU Gnash is based on GameSWF and supports most SWF v7 features and some
  SWF v8 and v9. SWF v10 is not supported by GNU Gnash.
  .
+ Included in the Gnash is an XML based messaging system, as specified in
+ the SWF specification. This lets a SWF animation communicate over a TCP/IP
+ socket, and parse the incoming XML message. This lets an animation be a remote
+ control for other devices or applications.
+ .
